FROM registry.gitlab.com/containers.ada/toolboxes/jupyter:latest

ENV proxy "http://www-int.dkfz-heidelberg.de:80"
ENV http_proxy "http://www-int.dkfz-heidelberg.de:80"
ENV https_proxy "http://www-int.dkfz-heidelberg.de:80"
ENV ftp_proxy "http://www-int.dkfz-heidelberg.de:80"
ENV PROXY "http://www-int.dkfz-heidelberg.de:80"
ENV HTTP_PROXY "http://www-int.dkfz-heidelberg.de:80"
ENV HTTPS_PROXY "http://www-int.dkfz-heidelberg.de:80"
ENV FTP_PROXY "http://www-int.dkfz-heidelberg.de:80"
RUN echo "proxy=http://www-int.dkfz-heidelberg.de:80" >> /etc/dnf/dnf.conf

# Additional opencv dependencies
RUN dnf install -y libglvnd-glx ffmpeg-free-devel libavcodec-free libavformat-free libswscale-free ffmpeg-free libdc1394 libjpeg libjpeg-turbo libpng libtiff libdc1394

RUN pip install git+https://github.com/lysogeny/ResolveTools
RUN pip install snakemake
